public class TrackingHolder
{
  private int    vendorId, shipId;
  private String trackNumber, deliveredTo, deliveryLocation, deliveryDate,
                 signedForBy, statusException, scanActivity, errorMessage,statusMessage,
                 accountNumber, pickupDate, exceptionDate, manifestDate;

  private boolean isDelivered, isResidential;


  public TrackingHolder()
  {
    init ();
  }

  private void init ()
  {
    vendorId = 0;
    shipId      = 0;
    trackNumber = " ";
    deliveredTo      = "";
    deliveryLocation = "";
    deliveryDate     = "";
    signedForBy      = "";
    statusException  = "";
    scanActivity     = "";
    accountNumber    = "";
    pickupDate       = "";
    exceptionDate    = "";
    manifestDate     = "";
    isDelivered      = false;
    errorMessage     = TrackingDefaults.COMPLETE_MESSAGE [2];
    statusMessage    = TrackingDefaults.STATUS [2];

  }

  public void   setAccountNumber (String value) {accountNumber = value; }
  public void   setIsDelivered ( boolean x ) { isDelivered = x; }
  public void   setVendorId ( int x ) { vendorId = x; }
  public void   setTrackNumber ( String inString )
  {
    StringBuffer sb = new StringBuffer ();
    char [] cString = inString.toCharArray();
    for ( int i= 0; i < cString.length; i++ )
    {
       if ( cString [i] == ' ') continue;
       sb.append ( cString[i] );

    }
    trackNumber = sb.toString();
  }

  public void   setShipId      ( int x ) { shipId = x; }
  public void   setDeliveredTo ( String x) {  deliveredTo = x; }
  public void   setDeliveryLocation (String x) { deliveryLocation = x; }
  public void   setDeliveryDate ( String x ) { deliveryDate = x; }
  public void   setSignedForBy  ( String x ) { signedForBy = x; }
  public void   setStatusException ( String x ) { statusException = x; }
  public void   setScanActivity    ( String x ) { scanActivity = x; }
  public void   setErrorMessage    ( String x ) { errorMessage = x; }
  public void   setStatus          ( String x ) { statusMessage = x; }
  public void setPickupDate(String x)
  {
     pickupDate = x;
  }

  public void setExceptionDate(String x)
  {
     exceptionDate = x;
  }

  public void setManifestDate(String x)
  {
     manifestDate = x;
  }

  public void isResidential(boolean x)
  {
      isResidential = x;
  }

  public String    getAccountNumber() { return accountNumber; }
  public int       getShipId ( int x ) { return (x); }
  public boolean   getIsDelivered ( ) { return ( isDelivered); }
  public int       getVendorId    ( ) { return ( vendorId ); }
  public String    getTrackNumber ( ) { return ( trackNumber); }
  public String    getDeliveredTo ( ) { return ( deliveredTo); }
  public String    getDeliveryLocation ( ) { return ( deliveryLocation); }
  public String    getDeliveryDate ( ) { return ( deliveryDate); }
  public String    getSignedForBy  ( ) { return ( signedForBy); }
  public String    getStatusException ( ) { return  ( statusException); }
  public String    getScanActivity    ( ) { return  ( scanActivity); }
  public String    getErrorMessage    ( ) { return  ( errorMessage); }
  public String    getStatus          ( ) { return  ( statusMessage ); }
  public String getPickupDate()
  {
     return pickupDate;
  }

  public String getExceptionDate()
  {
     return exceptionDate;
  }

  public String getManifestDate()
  {
     return manifestDate;
  }

  public boolean hasException()
  {
      return ((statusException != null) && (statusException.trim().length() > 0));
  }

  public boolean isResidential()
  {
      return isResidential;
  }

  public String toString ()
  {
      try
      {
        StringBuffer sb = new StringBuffer ();
        sb.append(" Delivered: ");
        if ( getIsDelivered () )
        {
          sb.append ("TRUE");
        }
        else sb.append ("FALSE");

        sb.append("\n Residential Delivery: ");
        if ( isResidential() )
        {
          sb.append ("TRUE");
        }
        else sb.append ("FALSE");

        sb.append (  "\n Status Message : " + getStatus() );
        sb.append (  "\n Track Number : " + getTrackNumber ( ) );
        sb.append (  "\n Delivered To : " + getDeliveredTo ( ) );
        sb.append (  "\n Delivery Location : " + getDeliveryLocation ( ) );
        sb.append (  "\n Delivery Date : " + getDeliveryDate    ( ) );
        sb.append (  "\n Signed For By : " +  getSignedForBy     ( ) );
        sb.append (  "\n Status Exception : " + getStatusException ( ) );
        sb.append(   "\n Exception Date: " + getExceptionDate());
        sb.append (  "\n Scan Activity : " + getScanActivity    ( ) );
        sb.append (  "\n Error Message : " + getErrorMessage    ( ) );
        sb.append(   "\n Pickup Date: " + getPickupDate());
        sb.append(   "\n Manifest Date: " + getManifestDate());

        return ( sb.toString () );
      }
      catch (NullPointerException e )
      {
        return (" ");
      }

  } // toString



} // TrackingHolder
